Claim affiliate balance
Claim the full accrued balance.
POST
/
v1
/
affiliates
/
{affiliateId}
/
claim
Claim affiliate balance
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutAsset": "<string>",
"payoutAddress": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
settlementChain: '<string>',
settlementAsset: '<string>',
payoutAsset: '<string>',
payoutAddress: '<string>'
})
};
fetch('https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claim"
payload = {
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutAsset": "<string>",
"payoutAddress": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"claim": {
"id": "<string>",
"affiliateId": "<string>",
"amount": "<string>",
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutChain": "arbitrum",
"payoutAsset": "<string>",
"payoutAddress": "<string>",
"status": "processing",
"txHash": "<string>",
"relayRequestId": "<string>",
"operationId": "<string>",
"errorMessage": "<string>",
"nextAttemptAt": "<string>",
"attempts": 123,
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Headers
Minimum string length:
1Path Parameters
Minimum string length:
1Body
application/json
Minimum string length:
1Minimum string length:
1Available options:
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash Minimum string length:
1Server canonicalizes by trimming leading/trailing whitespace; case is preserved.
Minimum string length:
1Response
Claim created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Claim affiliate balance
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutAsset": "<string>",
"payoutAddress": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
settlementChain: '<string>',
settlementAsset: '<string>',
payoutAsset: '<string>',
payoutAddress: '<string>'
})
};
fetch('https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claim"
payload = {
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutAsset": "<string>",
"payoutAddress": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"claim": {
"id": "<string>",
"affiliateId": "<string>",
"amount": "<string>",
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutChain": "arbitrum",
"payoutAsset": "<string>",
"payoutAddress": "<string>",
"status": "processing",
"txHash": "<string>",
"relayRequestId": "<string>",
"operationId": "<string>",
"errorMessage": "<string>",
"nextAttemptAt": "<string>",
"attempts": 123,
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}